Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010795Dwarf FortressDwarf Mode -- Jobs, Generalpublic2018-06-23 17:342018-07-04 20:16
Reporternoxiilarxene 
Assigned ToToady One 
PriorityurgentSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWindowsOS Version10
Product Version0.44.11 
Target VersionFixed in Version0.44.12 
Summary0010795: Messengers Do Not Go On Mission
DescriptionDwarven messengers assigned to a mission to bring back dwarves from an occupied site do not go on their mission, only doing in-fort jobs.
Steps To Reproduce1. Start a Fort
2. Conquer a site
3. Assign a messenger
4. Assign messenger to bring dwarves back
Additional InformationNot sure if having the dwarf have any tasks affects things: I tried disabling most, dwarf just idles. Maybe it has to do with a messenger at an occupied site?
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0038483)
lethosor (manager)
2018-06-25 13:44

A save (http://dffd.bay12games.com/ [^]) would be helpful for this one too.
(0038489)
noxiilarxene (reporter)
2018-06-26 19:05

http://dffd.bay12games.com/file.php?id=13848 [^] Apologies on the delay, I accidentally deleted the save so I had to make a new one. TW: Offensive fort/group name.
(0038491)
noxiilarxene (reporter)
2018-06-26 19:37

Alright, so I played it for a few minutes. Messenger has no assigned jobs, not even hauling. Messenger shows "No Job" but still proceeds off the edge of the map. Maybe the problem is that the mission isn't being assigned as the messenger's job, allowing other labors to take precedence.
(0038498)
Loci (manager)
2018-06-27 16:59

Using the save, I sent the messenger Udil Postmaw to Wilthonor. He proceeded to exit the fortress and walk 10 or so tiles with "No job", then turn around and return to the fortress to Sleep. After his nap, his second attempt to leave the site, still with "No job", was successful.
(0038500)
noxiilarxene (reporter)
2018-06-27 17:51

That does match my observations. It shouldn't show "No Job", right?
(0038505)
Loci (manager)
2018-06-28 13:58

I'm not sure what job text is intended, however having the mission interrupted by non-critical needs seems buggy to me.
(0038506)
noxiilarxene (reporter)
2018-06-28 14:01

Probably "Request Workers from Wilthonor" or similar.
(0038535)
Toady One (administrator)
2018-07-04 20:16

I've updated the broken text. We'll see if priorities also need to be changed once people have the text to diagnose with.

- Issue History
Date Modified Username Field Change
2018-06-23 17:34 noxiilarxene New Issue
2018-06-25 13:44 lethosor Note Added: 0038483
2018-06-26 19:05 noxiilarxene Note Added: 0038489
2018-06-26 19:37 noxiilarxene Note Added: 0038491
2018-06-27 16:59 Loci Note Added: 0038498
2018-06-27 16:59 Loci Assigned To => Loci
2018-06-27 16:59 Loci Status new => confirmed
2018-06-27 17:51 noxiilarxene Note Added: 0038500
2018-06-28 13:58 Loci Note Added: 0038505
2018-06-28 14:01 noxiilarxene Note Added: 0038506
2018-07-04 20:16 Toady One Note Added: 0038535
2018-07-04 20:16 Toady One Status confirmed => resolved
2018-07-04 20:16 Toady One Fixed in Version => Next Version
2018-07-04 20:16 Toady One Resolution open => fixed
2018-07-04 20:16 Toady One Assigned To Loci => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker